Subject: Re: [apps-discuss] I-D Action: draft-ietf-appsawg-file-scheme-01.txt

From: t.petch <[email-masked]>
Date: Fri, 1 May 2015 12:32:00 +0100

Matthew

eeeeeh what a lot of changes - could have done with a 'Changes from -00'
but no matter, I think that the changes are in the right direction,
moving a lot of the proprietary material to Appendices.

The only bit I missed was having the sample file:, valid and invalid,
more or less together but that is a minor consideration.

So yes, I think that the revised structure addresses my concerns.

I think, too, that the timing is nice w.r.t the recent discussions on
the registration of URI schemes!  I would reference that draft, not
RFC4395, assuming that that draft will be ready in time for this one:-).
It means, I think, that sections 7.3 and 7.4 apply and that you should
use the short form template and include it within the file I-D.  I tend
to look at what others have done recently and RFC7252 is such an
example, albeit under the old rules.

Tom Petch

----- Original Message -----
From: "Matthew Kerwin" <[email-masked]>
To: "IETF Apps Discuss" <[email-masked]>
Sent: Tuesday, April 14, 2015 11:38 AM

> Hi again folks,
>
> I managed to get a new version pushed out. It's not ready for
publication,
> but it should be ready for proper critique. Between -00 and -01 I
focused
> on addressing the broad thrust of the comments received so far,
notably:
>
> * cutting out everything but a central core from the normative syntax,
> moving the non-universal bits to optional appendices
>
> * less normative content and references, hopefully putting less burden
on
> implementers (especially those who are only mildly interested in
supporting
> the scheme)
>
> * putting a bit more effort into defining meaningful operations
>
> There are some obvious editorial issues, especially some incomplete
text in
> the appendices.  What I'd really appreciate advice on is:
>
> 1) whether the new structure broadly satisfies a bunch of the concerns
that
> have been raised, and
>
> 2) how to deal with the IANA Considerations section (especially
considering
> the uri-scheme-reg draft.) Back at draft-kerwin-file-scheme-11 it had
a
> fully fleshed out registration template, but somebody (I forget who,
sorry)
> suggested that I could replace it with the current (much terser) text.
> Which way should I go with it?
>
> I'm going to go back through the archives and see what remaining
concerns
> still apply, so I can create some issues in my github repository.
Please
> feel free to provide feedback and critique in the meantime.
>
> Cheers!
>
>
> On 14 April 2015 at 18:06, <[email-masked]> wrote:
>
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> >  This draft is a work item of the Applications Area Working Group
Working
> > Group of the IETF.
> >
> >         Title           : The file URI Scheme
> >         Author          : Matthew Kerwin
> >         Filename        : draft-ietf-appsawg-file-scheme-01.txt
> >         Pages           : 17
> >         Date            : 2015-04-14
> >
> > Abstract:
> >    This document specifies the "file" Uniform Resource Identifier
(URI)
> >    scheme, obsoleting the definition in RFC 1738.
> >
> >    It attemps to define a common core which is intended to
interoperate
> >    across the broad spectrum of existing implementations, while at
the
> >    same time documenting other current practices.
> >
> > Note to Readers (To be removed by the RFC Editor)
> >
> >    This draft should be discussed on the IETF Applications Area
Working
> >    Group discussion list <[email-masked]>.
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-appsawg-file-scheme/
> >
> > There's also a htmlized version available at:
> > http://tools.ietf.org/html/draft-ietf-appsawg-file-scheme-01
> >
> > A diff from the previous version is available at:
> > http://www.ietf.org/rfcdiff?url2=draft-ietf-appsawg-file-scheme-01
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > apps-discuss mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/apps-discuss
> >
>
>
>
> --
>   Matthew Kerwin
>   http://matthew.kerwin.net.au/
>

------------------------------------------------------------------------
--------

> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss
>